{
  "summary": {
    "generated_at": "2026-01-05T06:49:04Z",
    "total_nodes": 12,
    "reachable_count": 12,
    "authorized_ok_count": 12,
    "chainid_match_count": 12,
    "netversion_match_count": 12,
    "min_block": 600172,
    "max_block": 600172,
    "block_spread": 0,
    "port": 8545,
    "timeout_s": 4.0,
    "threads": 12,
    "host_header_candidates": [
      "localhost",
      "127.0.0.1",
      "rpc-http-pub.d-bis.org",
      "rpc.d-bis.org",
      "rpc2.d-bis.org",
      "rpc.public-0138.defi-oracle.io"
    ]
  },
  "nodes": [
    {
      "vmid": "2400",
      "ip": "192.168.11.240",
      "name": "thirdweb-rpc-1",
      "group": "thirdweb",
      "url": "http://192.168.11.240:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 207.40793400909752,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0xa",
        "peer_count": 10,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 22.031560372852255
      },
      "timings_ms": {
        "eth_chainId": 35.542013007216156,
        "net_version": 23.931753996293992,
        "web3_clientVersion": 7.957171997986734,
        "eth_blockNumber": 31.040635978570208,
        "eth_syncing": 8.365375979337841,
        "net_peerCount": 24.353988002985716,
        "eth_getBlockByNumber_latest": 30.959404015447944,
        "eth_gasPrice": 14.102140004979447,
        "txpool_status": 13.171851984225214
      }
    },
    {
      "vmid": "2401",
      "ip": "192.168.11.241",
      "name": "thirdweb-rpc-2",
      "group": "thirdweb",
      "url": "http://192.168.11.241:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 246.21648399624974,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 18.59588737715967
      },
      "timings_ms": {
        "eth_chainId": 15.146268007811159,
        "net_version": 22.81667699571699,
        "web3_clientVersion": 41.51391101186164,
        "eth_blockNumber": 15.341312973760068,
        "eth_syncing": 16.376782004954293,
        "net_peerCount": 12.364621012238786,
        "eth_getBlockByNumber_latest": 11.288178997347131,
        "eth_gasPrice": 13.919348013587296,
        "txpool_status": 13.961379998363554
      }
    },
    {
      "vmid": "2402",
      "ip": "192.168.11.242",
      "name": "thirdweb-rpc-3",
      "group": "thirdweb",
      "url": "http://192.168.11.242:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 215.7586549874395,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 26.522465370362625
      },
      "timings_ms": {
        "eth_chainId": 39.57589800120331,
        "net_version": 24.20416899258271,
        "web3_clientVersion": 69.18647099519148,
        "eth_blockNumber": 15.869545983150601,
        "eth_syncing": 14.759685000171885,
        "net_peerCount": 16.457531019113958,
        "eth_getBlockByNumber_latest": 20.898197981296107,
        "eth_gasPrice": 11.228224990190938,
        "txpool_status": 14.003867981955409
      }
    },
    {
      "vmid": "2500",
      "ip": "192.168.11.250",
      "name": "besu-rpc-1",
      "group": "public",
      "url": "http://192.168.11.250:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 733.9344990032259,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x5",
        "peer_count": 5,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 5.12947724564583
      },
      "timings_ms": {
        "eth_chainId": 4.9812140059657395,
        "net_version": 4.341535997809842,
        "web3_clientVersion": 4.078685975400731,
        "eth_blockNumber": 5.31980799860321,
        "eth_syncing": 4.169135994743556,
        "net_peerCount": 4.165426013059914,
        "eth_getBlockByNumber_latest": 4.805466975085437,
        "eth_gasPrice": 9.174545004498214,
        "txpool_status": 5.147518997546285
      }
    },
    {
      "vmid": "2501",
      "ip": "192.168.11.251",
      "name": "besu-rpc-2",
      "group": "public",
      "url": "http://192.168.11.251:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 252.85299800452776,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x5",
        "peer_count": 5,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 17.893679749249713
      },
      "timings_ms": {
        "eth_chainId": 20.01532699796371,
        "net_version": 30.833636003080755,
        "web3_clientVersion": 10.607130010612309,
        "eth_blockNumber": 26.15086198784411,
        "eth_syncing": 15.358060016296804,
        "net_peerCount": 11.878239980433136,
        "eth_getBlockByNumber_latest": 16.921900998568162,
        "eth_gasPrice": 11.38428199919872,
        "txpool_status": 6.666581000899896
      }
    },
    {
      "vmid": "2502",
      "ip": "192.168.11.252",
      "name": "besu-rpc-3",
      "group": "public",
      "url": "http://192.168.11.252:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 225.53884200169705,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x5",
        "peer_count": 5,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 19.843332243908662
      },
      "timings_ms": {
        "eth_chainId": 7.834325981093571,
        "net_version": 23.03098898846656,
        "web3_clientVersion": 16.49277299293317,
        "eth_blockNumber": 12.219828990055248,
        "eth_syncing": 8.90450700535439,
        "net_peerCount": 18.50281798397191,
        "eth_getBlockByNumber_latest": 52.245661994675174,
        "eth_gasPrice": 19.515754014719278,
        "txpool_status": 10.233620996586978
      }
    },
    {
      "vmid": "2503",
      "ip": "192.168.11.253",
      "name": "besu-rpc-ali-0x8a",
      "group": "public",
      "url": "http://192.168.11.253:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 205.19100700039417,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 18.67197400497389
      },
      "timings_ms": {
        "eth_chainId": 10.083189001306891,
        "net_version": 34.778608998749405,
        "web3_clientVersion": 19.325670989928767,
        "eth_blockNumber": 15.071392001118511,
        "eth_syncing": 9.204472007695585,
        "net_peerCount": 8.97852799971588,
        "eth_getBlockByNumber_latest": 11.260140017839149,
        "eth_gasPrice": 40.673791023436934,
        "txpool_status": 16.348003002349287
      }
    },
    {
      "vmid": "2504",
      "ip": "192.168.11.254",
      "name": "besu-rpc-ali-0x1",
      "group": "public",
      "url": "http://192.168.11.254:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 227.3756309878081,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 27.615653623797698
      },
      "timings_ms": {
        "eth_chainId": 35.896788991522044,
        "net_version": 10.814990993821993,
        "web3_clientVersion": 11.816277983598411,
        "eth_blockNumber": 69.88118099980056,
        "eth_syncing": 15.537455008598045,
        "net_peerCount": 33.32790901185945,
        "eth_getBlockByNumber_latest": 23.374740994768217,
        "eth_gasPrice": 20.275885006412864,
        "txpool_status": 14.713854994624853
      }
    },
    {
      "vmid": "2505",
      "ip": "192.168.11.201",
      "name": "besu-rpc-luis-0x8a",
      "group": "named",
      "url": "http://192.168.11.201:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 208.7971509899944,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 25.473365749348886
      },
      "timings_ms": {
        "eth_chainId": 9.37734599574469,
        "net_version": 11.08990900684148,
        "web3_clientVersion": 12.8124589973595,
        "eth_blockNumber": 22.21044700127095,
        "eth_syncing": 23.320680018514395,
        "net_peerCount": 14.834656001767144,
        "eth_getBlockByNumber_latest": 68.77603798056953,
        "eth_gasPrice": 41.365390992723405,
        "txpool_status": 20.76763001969084
      }
    },
    {
      "vmid": "2506",
      "ip": "192.168.11.202",
      "name": "besu-rpc-luis-0x1",
      "group": "named",
      "url": "http://192.168.11.202:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 260.4713109903969,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 34.519932756666094
      },
      "timings_ms": {
        "eth_chainId": 35.56682099588215,
        "net_version": 62.38781599677168,
        "web3_clientVersion": 14.130949013633654,
        "eth_blockNumber": 13.628829008666798,
        "eth_syncing": 26.88959302031435,
        "net_peerCount": 11.97041300474666,
        "eth_getBlockByNumber_latest": 42.86585500813089,
        "eth_gasPrice": 68.71918600518256,
        "txpool_status": 27.580963011132553
      }
    },
    {
      "vmid": "2507",
      "ip": "192.168.11.203",
      "name": "besu-rpc-putu-0x8a",
      "group": "named",
      "url": "http://192.168.11.203:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 208.14505399903283,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 192.1023811228224
      },
      "timings_ms": {
        "eth_chainId": 16.101459012134,
        "net_version": 27.87842898396775,
        "web3_clientVersion": 27.836533990921453,
        "eth_blockNumber": 20.662741997512057,
        "eth_syncing": 25.38093301700428,
        "net_peerCount": 23.387792985886335,
        "eth_getBlockByNumber_latest": 242.05674600671045,
        "eth_gasPrice": 1153.514412988443,
        "txpool_status": 21.461379976244643
      }
    },
    {
      "vmid": "2508",
      "ip": "192.168.11.204",
      "name": "besu-rpc-putu-0x1",
      "group": "named",
      "url": "http://192.168.11.204:8545",
      "host_header_used": null,
      "reachable": true,
      "authorized": true,
      "probe": {
        "ok": true,
        "latency_ms": 232.0048130059149,
        "error": null,
        "response": {
          "jsonrpc": "2.0",
          "id": 1,
          "result": "0x8a"
        }
      },
      "checks": {
        "eth_chainId": "0x8a",
        "eth_chainId_ok": true,
        "net_version": "138",
        "net_version_ok": true,
        "client_version": "besu/v23.10.0/linux-x86_64/openjdk-java-17",
        "block_number_hex": "0x9286c",
        "block_number": 600172,
        "syncing": false,
        "syncing_ok": true,
        "peer_count_hex": "0x8",
        "peer_count": 8,
        "latest_block_hash": "0x0d6aa7f99c160282b94c6eb8abace8dc6d63cafbd1a0a4b82ca5e9707d9d9553",
        "latest_block_timestamp_hex": "0x6959f6cc",
        "gas_price_hex": "0x3e8",
        "gas_price_wei": 1000,
        "txpool_supported": false,
        "method_errors": {
          "txpool_status": "Method not found"
        },
        "avg_latency_ms": 36.67357987433206
      },
      "timings_ms": {
        "eth_chainId": 23.840134002966806,
        "net_version": 37.800569989485666,
        "web3_clientVersion": 24.387871992075816,
        "eth_blockNumber": 19.387089007068425,
        "eth_syncing": 19.607085996540263,
        "net_peerCount": 19.995234004454687,
        "eth_getBlockByNumber_latest": 91.27063699997962,
        "eth_gasPrice": 57.100017002085224,
        "txpool_status": 20.435276004718617
      }
    }
  ]
}